"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.presets = void 0;
exports.presets = {
    disableTypesNodeMajor: {
        description: 'Disable `major` updates to `@types/node`.',
        packageRules: [
            {
                matchPackageNames: ['@types/node'],
                matchUpdateTypes: ['major'],
                enabled: false,
            },
        ],
    },
    followTypescriptNext: {
        description: 'Keep `typescript` version in sync with the `next` tag.',
        extends: [':followTag(typescript, next)'],
    },
    followTypescriptRc: {
        description: 'Keep `typescript` version in sync with the `rc` tag.',
        extends: [':followTag(typescript, rc)'],
    },
    pinGitHubActionDigests: {
        description: 'Pin `github-action` digests.',
        packageRules: [
            {
                matchDepTypes: ['action'],
                pinDigests: true,
            },
        ],
    },
};
//# sourceMappingURL=helpers.js.map