"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigMigrationCommitMessageFactory = void 0;
const tslib_1 = require("tslib");
const template = tslib_1.__importStar(require("../../../../util/template"));
const commit_message_factory_1 = require("../../model/commit-message-factory");
class ConfigMigrationCommitMessageFactory {
    constructor(config, configFile) {
        this.config = config;
        this.configFile = configFile;
    }
    create() {
        const { commitMessage } = this.config;
        this.config.commitMessageAction =
            this.config.commitMessageAction === 'Update'
                ? ''
                : this.config.commitMessageAction;
        this.config.commitMessageTopic =
            this.config.commitMessageTopic === 'dependency {{depName}}'
                ? `Migrate config ${this.configFile}`
                : this.config.commitMessageTopic;
        this.config.commitMessageExtra = '';
        this.config.semanticCommitScope = 'config';
        const commitMessageFactory = new commit_message_factory_1.CommitMessageFactory(this.config);
        const commit = commitMessageFactory.create();
        if (commitMessage) {
            commit.subject = template.compile(commitMessage, {
                ...this.config,
                commitMessagePrefix: '',
            });
        }
        else {
            commit.subject = `Migrate config ${this.configFile}`;
        }
        return commit;
    }
}
exports.ConfigMigrationCommitMessageFactory = ConfigMigrationCommitMessageFactory;
//# sourceMappingURL=commit-message.js.map